	PROGRAM main
	 IMPLICIT NONE

         TYPE myStruct
          INTEGER :: i;
          REAL    :: f;
         END TYPE myStruct


	 TYPE(myStruct) :: A, B;

	 A%i = 4; A%f =3.14
	 print *, "A = ", A

	 B = A
	 print *, "B = ", B

	END PROGRAM
